port speed 4 100
port config 4 slave
port config 7 slave
ssh server enable
ssh password-auth enable
ssh key-auth disable
ip address 192.168.6.73 255.255.255.0
rstp admin-mode disable
dot1as port 1 role slave
vlan create 50
vlan create 20
vlan create 40
vlan switchport add 1 40 tagged
vlan switchport add 2 20,40 tagged
vlan switchport add 3 20,40,50 tagged
vlan switchport add 4 40 untagged
vlan switchport pvid 4 40
vlan switchport add 5 50 tagged
vlan switchport add 7 20,40,50 tagged
vlan switchport add 8 20,40,50 tagged
vlan switchport add 14 40 untagged
vlan switchport pvid 14 40
vlan switchport add 15 40 untagged
vlan switchport pvid 15 40
vlan switchport add 16 40 untagged
vlan switchport pvid 16 40
vlan switchport add 17 40 untagged
vlan switchport pvid 17 40
vlan switchport add 18 40 untagged
vlan switchport pvid 18 40
vlan switchport add 19 20,40,50 tagged
vlan switchport add 20 40 untagged
vlan switchport pvid 20 40
vlan switchport add 21 50,20 tagged
vlan switchport add 22 50,20 tagged
vlan switchport add 23 40 tagged
vlan switchport add 24 40 tagged
port admin-state 6 down
port admin-state 9 down
port admin-state 10 down
port admin-state 11 down
port admin-state 12 down
port admin-state 13 down
multicast add 01:00:5E:00:00:6B 20 2,3,7,8,19,21,22
multicast add 01:00:5E:00:01:81 20 2,3,7,8,19,21,22
multicast add 01:00:5E:40:16:0A 20 3,19,22
multicast add 01:00:5E:41:00:01 20 3,19,22
multicast add 01:00:5E:43:01:02 20 3,19,22
multicast add 01:00:5E:00:00:6B 40 1,2,3,4,7,8,14,15,16,17,18,19,20,23,24
multicast add 01:00:5E:00:01:81 40 1,2,3,4,7,8,14,15,16,17,18,19,20,23,24
multicast add 01:00:5E:0A:0A:0A 40 3,17,18
multicast add 01:00:5E:40:16:0A 40 3,7,8,19,23
multicast add 01:00:5E:40:16:0B 40 17,18
multicast add 01:00:5E:40:16:0C 40 3,17,18
multicast add 01:00:5E:41:00:01 40 3,7,8,19,23
multicast add 01:00:5E:42:01:01 40 3,7,24
multicast add 01:00:5E:42:01:02 40 3,7,19,23
multicast add 01:00:5E:43:01:02 40 3,7,19,23
multicast add 01:00:5E:7F:00:63 40 1,3,7,19,23,24
multicast add 01:00:5E:00:00:12 50 5,7
multicast add 01:00:5E:00:00:6B 50 3,5,7,8,19,21,22
multicast add 01:00:5E:00:01:81 50 3,5,7,8,19,21,22
multicast add 01:00:5E:7F:00:63 50 5,7,19,21,22
diffserv create ipv4 AA
diffserv setclass AA dip 239.192.22.10 0.0.0.0
diffserv setclass AA vlan 20 0
diffserv setpolicy AA queue 6
diffserv bind 21 AA 1
diffserv create ipv4 AB
diffserv setclass AB dip 239.192.22.10 0.0.0.0
diffserv setclass AB vlan 40 0
diffserv setpolicy AB queue 6
diffserv bind 17 AB 1
diffserv bind 18 AB 1
diffserv create ipv4 AC
diffserv setclass AC dip 239.193.0.1 0.0.0.0
diffserv setclass AC vlan 20 0
diffserv setpolicy AC queue 6
diffserv bind 21 AC 2
diffserv create ipv4 AD
diffserv setclass AD dip 239.193.0.1 0.0.0.0
diffserv setclass AD vlan 40 0
diffserv setpolicy AD queue 6
diffserv bind 15 AD 1
diffserv bind 16 AD 1
diffserv create ipv4 AE
diffserv setclass AE dip 239.192.22.10 0.0.0.0
diffserv setclass AE vlan 20 0
diffserv setpolicy AE queue 6
diffserv bind 7 AE 1
diffserv create ipv4 AF
diffserv setclass AF dip 239.192.22.10 0.0.0.0
diffserv setclass AF vlan 40 0
diffserv setpolicy AF queue 6
diffserv bind 24 AF 1
diffserv create ipv4 AG
diffserv setclass AG dip 239.193.0.1 0.0.0.0
diffserv setclass AG vlan 20 0
diffserv setpolicy AG queue 6
diffserv bind 7 AG 2
diffserv create ipv4 AH
diffserv setclass AH dip 239.193.0.1 0.0.0.0
diffserv setclass AH vlan 40 0
diffserv setpolicy AH queue 6
diffserv bind 24 AH 2
diffserv create non-ip l2bcast
diffserv setclass l2bcast dmac ff:ff:ff:ff:ff:ff 00:00:00:00:00:00
diffserv setpolicy l2bcast meter 32 1
diffserv bind 1 l2bcast 1
diffserv bind 2 l2bcast 1
diffserv bind 3 l2bcast 1
diffserv bind 4 l2bcast 1
diffserv bind 5 l2bcast 1
diffserv bind 7 l2bcast 3
diffserv bind 8 l2bcast 1
diffserv bind 14 l2bcast 1
diffserv bind 15 l2bcast 2
diffserv bind 16 l2bcast 2
diffserv bind 17 l2bcast 2
diffserv bind 18 l2bcast 2
diffserv bind 19 l2bcast 1
diffserv bind 20 l2bcast 1
diffserv bind 21 l2bcast 3
diffserv bind 22 l2bcast 1
diffserv bind 23 l2bcast 1
diffserv bind 24 l2bcast 3
